import requestSys from '@/utils/requestSys'


// 获取组织树
export function dynamicTree(query) {
  return requestSys({
    url: '/org/tree',
    method: 'get',
    params: query
  })
}
// 获取职位列表
export function fetchList(query) {
  return requestSys({
    url: '/position/page',
    method: 'get',
    params: query
  })
}

// 创建职位
export function createPosition(data) {
  return requestSys({
    url: '/position/add',
    method: 'post',
    data
  })
}
// 更新职位信息
export function updatePosition(data) {
  return requestSys({
    url: '/position/edit',
    method: 'post',
    data
  })
}
// 删除职位
export function deletePosition(data) {
  return requestSys({
    url: '/position/delete',
    method: 'post',
    data
  })
}


